#
# Conditional build:
%bcond_without	prof	# profiling library
#
%define		pkgname	jira-wiki-markup
Summary:	Handle Jira wiki markup
Summary(pl.UTF-8):	Obsługa znaczników wiki w formacie Jiry
Name:		ghc-%{pkgname}
Version:	1.3.0
Release:	3
License:	MIT
Group:		Development/Languages
#Source0Download: http://hackage.haskell.org/package/jira-wiki-markup
Source0:	http://hackage.haskell.org/package/%{pkgname}-%{version}/%{pkgname}-%{version}.tar.gz
# Source0-md5:	0e8c20759654d476e246df7d8118c4e8
URL:		http://hackage.haskell.org/package/jira-wiki-markup
BuildRequires:	ghc >= 6.12.3
%if %{with prof}
BuildRequires:	ghc-prof
%endif
BuildRequires:	rpmbuild(macros) >= 1.608
%requires_eq	ghc
Requires(post,postun):	/usr/bin/ghc-pkg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# debuginfo is not useful for ghc
%define		_enable_debug_packages	0

# don't compress haddock files
%define		_noautocompressdoc	*.haddock

%description
Parse Jira wiki text into an abstract syntax tree for easy
transformation to other formats.

%description -l pl.UTF-8
Przetwarzanie tekstu wiki w formacie Jiry do abstrakcyjnego drzewa
składniowego w celu łatwego przetwarzania do innych formatów.

%package prof
Summary:	Profiling %{pkgname} library for GHC
Summary(pl.UTF-8):	Biblioteka profilująca %{pkgname} dla GHC
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description prof
Profiling %{pkgname} library for GHC.  Should be installed when
GHC's profiling subsystem is needed.

%description prof -l pl.UTF-8
Biblioteka profilująca %{pkgname} dla GHC. Powinna być zainstalowana
kiedy potrzebujemy systemu profilującego z GHC.

%prep
%setup -q -n %{pkgname}-%{version}

cat >Setup.lhs<<'EOF'
#!/usr/bin/env runhaskell
> import Distribution.Simple
> main = defaultMain
EOF

%build
runhaskell Setup.lhs configure -v2 \
	%{?with_prof:--enable-library-profiling} \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libexecdir} \
	--docdir=%{_docdir}/%{name}-%{version}

runhaskell Setup.lhs build
runhaskell Setup.lhs haddock

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/%{ghcdir}/package.conf.d

runhaskell Setup.lhs copy --destdir=$RPM_BUILD_ROOT

# work around automatic haddock docs installation
%{__rm} -rf %{name}-%{version}-doc
cp -a $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version} %{name}-%{version}-doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

runhaskell Setup.lhs register \
	--gen-pkg-config=$RPM_BUILD_ROOT%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%ghc_pkg_recache

%postun
%ghc_pkg_recache

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md README.md %{name}-%{version}-doc/*
%attr(755,root,root) %{_bindir}/jira-wiki-markup
%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf
%dir %{_libdir}/%{ghcdir}/%{pkgname}-%{version}
%attr(755,root,root) %{_libdir}/%{ghcdir}/%{pkgname}-%{version}/*.so
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/*.a
%exclude %{_libdir}/%{ghcdir}/%{pkgname}-%{version}/*_p.a

%dir %{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Text
%dir %{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Text/Jira
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Text/Jira/*.hi
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Text/Jira/*.dyn_hi
%dir %{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Text/Jira/Parser
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Text/Jira/Parser/*.hi
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Text/Jira/Parser/*.dyn_hi

%if %{with prof}
%files prof
%defattr(644,root,root,755)
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/*_p.a
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Text/Jira/*.p_hi
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}/Text/Jira/Parser/*.p_hi
%endif
%changelog
* Mon Feb 13 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ghc-jira-wiki-markup.git;a=log;h=master

* Mon Feb 13 2023 Jakub Bogusz <qboosh@pld-linux.org> 35c54a0
- release 3

* Sun Feb 12 2023 Jakub Bogusz <qboosh@pld-linux.org> e716ee2
- pl

* Sat Mar 19 2022 Jan Rękorajski <baggins@pld-linux.org> 0326852
- rebuild with ghc 8.10.7

* Sat May 30 2020 Jan Rękorajski <baggins@pld-linux.org> 862a403
- new

